import time
import board
import digitalio

from audiomp3 import MP3Decoder

try:
    from audioio import AudioOut
except ImportError:
    try:
        from audiopwmio import PWMAudioOut as AudioOut
    except ImportError:
        pass  ##Not Always Supported By Every Board

button1 = digitalio.DigitalInOut(board.GP20)  ##GPIO Number
button1.switch_to_input(pull=digitalio.Pull.UP)

##Replace MP3File Name To Match Yours:
mp3files = ["xfiles.mp3"]

##You Have To Specify MP3 File When Creating The Decoder:
mp3 = open(mp3files[0], "rb")
decoder = MP3Decoder(mp3)
audio = AudioOut(board.GP18)  ##GPIO Number

while True:
    if not button1.value:
        decoder.file = open(mp3files[0], "rb")
        audio.play(decoder)
        print("playing", mp3files[0])

        t = time.monotonic()
        while time.monotonic() - t < 3:
            pass